<?
   include "../config.inc";
   $db = @mysql_connect("localhost", "$databaseuser", "$databasepasswd");
   @mysql_select_db("$databasename",$db);



if (!$topcat && !$name && !$description) {
        echo "<html><head><title>$ashopname</title></head>
        <body bgcolor=\"FFFFFF\" text=\"#000000\" link=\"#000000\" alink=\"#000000\" vlink=\"#000000\"><center>
        <p><img src=\"../images/logo.gif\"></p>
        <h1>Добавить категорию в каталог</h1>
        <h2>Добавить новую верхнюю категорию...</h2>
        <form action=\"addcategory.php\" method=\"post\">
        Название: <input type=\"text\" name=\"name\"><br>
        Описание: <textarea name=\"description\"></textarea>
        <input type=\"submit\" value=\"Отправить\"></form>
        <h2>Или выберите одну из категорий для добавления субкатегории:</h2>";
        $sql="SELECT categoryid, name FROM category WHERE parentcategoryid = categoryid";
        $result = @mysql_query($sql,$db);
        for ($i = 0; $i < @mysql_num_rows($result); $i++) {
          $categoryname = @mysql_result($result, $i, "name");
          $categoryid = @mysql_result($result, $i, "categoryid");
          echo "<font face=\"Arial, Helvetica, sans-serif\" size=\"2\"><a href=\"addcategory.php?topcat=$categoryid\">$categoryname</a></font><br>";
        }
        echo "</center></body></html>";
} else if (!$name && !$description) {
  $sql = "SELECT name FROM category WHERE parentcategoryid = $topcat";
  $result = @mysql_query($sql,$db);
  $parentname = @mysql_result($result, 0, "name");
        echo "<html><head><title>$ashopname</title></head>
        <body bgcolor=\"FFFFFF\" text=\"#000000\" link=\"#000000\" alink=\"#000000\" vlink=\"#000000\"><center>
        <p><img src=\"../images/logo.gif\"></p>
        <h1>Добавить категорию в ваш каталог</h1>
        <h2>Новая субкатегория для $parentname</h2>
        <form action=\"addcategory.php\" method=\"post\">
        Название: <input type=\"text\" name=\"name\"><br>
        Описание: <textarea name=\"description\"></textarea>
        <input type=\"hidden\" name=\"topcat\" value=\"$topcat\">
        <input type=\"submit\" value=\"Отправить\"></form>
        </center></body></html>";
} else {
   $sql="INSERT INTO category (name,description) VALUES ('$name','$description')";
   $result = @mysql_query($sql,$db);
   $categoryid = @mysql_insert_id();
   if (!$topcat) {
     $topcat = $categoryid;
   }
   $sql="UPDATE category SET parentcategoryid=$topcat WHERE categoryid=$categoryid";
   $result = @mysql_query($sql,$db);
   header("Location: index.php?msg=catadded");
}
?>
